LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/orders?per_page=20&page=1&status[]=created" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.orders.find_all({'per_page': 20, 'page': 1, 'status[]': ['created']})
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.orders.get_all({ per_page: 20, page: 1, 'status[]': ['created'] })
await client.orders.findAllOrders({ per_page: 20, page: 1, "status[]": ["created"] });
import (
"context"
"fmt"
lago "github.com/getlago/lago-go-client"
)
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
ctx := context.Background()
page, perPage := 1, 20
orderResult, err := lagoClient.Order().GetList(ctx, &lago.OrderListInput{
Page: &page,
PerPage: &perPage,
Status: []lago.OrderStatus{lago.OrderStatusCreated},
})
if err != nil {
// Error is *lago.Error
panic(err)
}
// orderResult is *lago.OrderResult
fmt.Println(orderResult)
}
{
"orders": [
{
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"number": "OR-2026-0001",
"status": "created",
"order_type": "subscription_creation",
"execution_mode": "execute_in_lago",
"currency": "USD",
"executed_at": "2026-07-01T00:00:00Z",
"execution_record": {
"executed_at": "2026-07-01T00:00:00Z",
"execution_mode": "execute_in_lago",
"invoice_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"subscription_ids": [
"1a901a90-1a90-1a90-1a90-1a901a901a90"
],
"terminated_subscription_ids": [
"1a901a90-1a90-1a90-1a90-1a901a901a90"
],
"applied_coupon_ids": [
"1a901a90-1a90-1a90-1a90-1a901a901a90"
],
"wallet_ids": [
"1a901a90-1a90-1a90-1a90-1a901a901a90"
],
"errors": [
"plan_not_found"
]
},
"lago_organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_customer_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_order_form_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"created_at": "2026-04-29T08:59:51Z",
"updated_at": "2026-04-29T08:59:51Z",
"billing_snapshot": {
"addOns": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"localId": "b5c1e2a4-4e1e-4a7f-9f0e-9c1a0c7e1f2b",
"type": "add_on",
"payload": {
"code": "setup_fee",
"units": 1,
"unitAmountCents": 10000,
"totalAmountCents": 10000,
"fromDatetime": "2026-01-01T00:00:00Z",
"toDatetime": "2026-12-31T23:59:59Z"
},
"overrides": {
"description": "Onboarding package, discounted for the first year",
"units": 2,
"unitAmountCents": 8000,
"totalAmountCents": 16000,
"invoiceDisplayName": "Onboarding",
"fromDatetime": "2026-01-01T00:00:00Z",
"toDatetime": "2026-12-31T23:59:59Z"
}
}
],
"plans": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"type": "plan",
"payload": {
"code": "premium_plan",
"subscriptionExternalId": "sub_1234567890",
"subscriptionName": "Premium plan - Acme Corp",
"billingTime": "calendar",
"startDate": "2026-01-01T00:00:00Z",
"endDate": "2027-01-01T00:00:00Z",
"paymentMethodId": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"charges": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"billableMetric": {
"code": "api_calls"
},
"chargeModel": "standard"
}
],
"fixedCharges": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"addOn": {
"code": "seats"
},
"chargeModel": "standard"
}
]
},
"localId": "b5c1e2a4-4e1e-4a7f-9f0e-9c1a0c7e1f2b",
"overrides": {
"amountCents": 50000,
"amountCurrency": "USD",
"invoiceDisplayName": "Premium",
"name": "Premium plan - Acme Corp",
"description": "Negotiated premium plan",
"trialPeriod": 30,
"minimumCommitment": {
"amountCents": 100000,
"invoiceDisplayName": "Annual commitment"
},
"usageThresholds": [
{
"amountCents": 100000,
"recurring": false,
"thresholdDisplayName": "First 1,000 EUR of usage"
}
],
"charges": [
{
"billableMetricCode": "api_calls",
"chargeModel": "standard",
"properties": {
"amount": "0.02"
},
"minAmountCents": 10000,
"invoiceDisplayName": "API calls"
}
],
"fixedCharges": [
{
"addOnCode": "seats",
"units": "10",
"properties": {
"amount": "5"
},
"invoiceDisplayName": "Seats"
}
]
}
}
],
"coupons": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"localId": "b5c1e2a4-4e1e-4a7f-9f0e-9c1a0c7e1f2b",
"type": "coupon",
"payload": {
"code": "welcome_offer",
"type": "fixed_amount",
"amountCents": 10000,
"currency": "USD",
"percentageRate": 10.5,
"frequency": "once",
"frequencyDuration": 3
},
"overrides": {
"amountCents": 15000,
"amountCurrency": "USD",
"percentageRate": 15,
"frequency": "recurring",
"frequencyDuration": 6
}
}
],
"walletCredits": [
{
"localId": "b5c1e2a4-4e1e-4a7f-9f0e-9c1a0c7e1f2b",
"type": "wallet_credit",
"payload": {
"paidCredits": "100.0",
"grantedCredits": "20.0",
"rateAmount": "1.0",
"currency": "USD",
"expirationAt": "2027-01-01T00:00:00Z",
"appliesTo": {
"feeTypes": [
"charge"
],
"billableMetricCodes": [
"api_calls"
]
},
"recurringTransactionRules": [
{
"trigger": "interval",
"interval": "monthly",
"thresholdCredits": "10.0",
"method": "fixed",
"targetOngoingBalance": "100.0",
"grantsTargetTopUp": false,
"paidCredits": "100.0",
"grantedCredits": "20.0",
"startedAt": "2026-01-01T00:00:00Z",
"expirationAt": "2027-01-01T00:00:00Z",
"transactionName": "Monthly top-up",
"invoiceRequiresSuccessfulPayment": false
}
]
}
}
]
}
}
],
"meta": {
"current_page": 2,
"total_pages": 4,
"total_count": 70,
"next_page": 3,
"prev_page": 1
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 403,
"error": "Forbidden",
"code": "feature_unavailable"
}{
"status": 422,
"error": "Unprocessable entity",
"code": "validation_errors",
"error_details": {}
}List all orders
This endpoint is used to list all existing orders. This is a premium feature.
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/orders?per_page=20&page=1&status[]=created" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.orders.find_all({'per_page': 20, 'page': 1, 'status[]': ['created']})
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.orders.get_all({ per_page: 20, page: 1, 'status[]': ['created'] })
await client.orders.findAllOrders({ per_page: 20, page: 1, "status[]": ["created"] });
import (
"context"
"fmt"
lago "github.com/getlago/lago-go-client"
)
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
ctx := context.Background()
page, perPage := 1, 20
orderResult, err := lagoClient.Order().GetList(ctx, &lago.OrderListInput{
Page: &page,
PerPage: &perPage,
Status: []lago.OrderStatus{lago.OrderStatusCreated},
})
if err != nil {
// Error is *lago.Error
panic(err)
}
// orderResult is *lago.OrderResult
fmt.Println(orderResult)
}
{
"orders": [
{
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"number": "OR-2026-0001",
"status": "created",
"order_type": "subscription_creation",
"execution_mode": "execute_in_lago",
"currency": "USD",
"executed_at": "2026-07-01T00:00:00Z",
"execution_record": {
"executed_at": "2026-07-01T00:00:00Z",
"execution_mode": "execute_in_lago",
"invoice_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"subscription_ids": [
"1a901a90-1a90-1a90-1a90-1a901a901a90"
],
"terminated_subscription_ids": [
"1a901a90-1a90-1a90-1a90-1a901a901a90"
],
"applied_coupon_ids": [
"1a901a90-1a90-1a90-1a90-1a901a901a90"
],
"wallet_ids": [
"1a901a90-1a90-1a90-1a90-1a901a901a90"
],
"errors": [
"plan_not_found"
]
},
"lago_organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_customer_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_order_form_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"created_at": "2026-04-29T08:59:51Z",
"updated_at": "2026-04-29T08:59:51Z",
"billing_snapshot": {
"addOns": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"localId": "b5c1e2a4-4e1e-4a7f-9f0e-9c1a0c7e1f2b",
"type": "add_on",
"payload": {
"code": "setup_fee",
"units": 1,
"unitAmountCents": 10000,
"totalAmountCents": 10000,
"fromDatetime": "2026-01-01T00:00:00Z",
"toDatetime": "2026-12-31T23:59:59Z"
},
"overrides": {
"description": "Onboarding package, discounted for the first year",
"units": 2,
"unitAmountCents": 8000,
"totalAmountCents": 16000,
"invoiceDisplayName": "Onboarding",
"fromDatetime": "2026-01-01T00:00:00Z",
"toDatetime": "2026-12-31T23:59:59Z"
}
}
],
"plans": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"type": "plan",
"payload": {
"code": "premium_plan",
"subscriptionExternalId": "sub_1234567890",
"subscriptionName": "Premium plan - Acme Corp",
"billingTime": "calendar",
"startDate": "2026-01-01T00:00:00Z",
"endDate": "2027-01-01T00:00:00Z",
"paymentMethodId": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"charges": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"billableMetric": {
"code": "api_calls"
},
"chargeModel": "standard"
}
],
"fixedCharges": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"addOn": {
"code": "seats"
},
"chargeModel": "standard"
}
]
},
"localId": "b5c1e2a4-4e1e-4a7f-9f0e-9c1a0c7e1f2b",
"overrides": {
"amountCents": 50000,
"amountCurrency": "USD",
"invoiceDisplayName": "Premium",
"name": "Premium plan - Acme Corp",
"description": "Negotiated premium plan",
"trialPeriod": 30,
"minimumCommitment": {
"amountCents": 100000,
"invoiceDisplayName": "Annual commitment"
},
"usageThresholds": [
{
"amountCents": 100000,
"recurring": false,
"thresholdDisplayName": "First 1,000 EUR of usage"
}
],
"charges": [
{
"billableMetricCode": "api_calls",
"chargeModel": "standard",
"properties": {
"amount": "0.02"
},
"minAmountCents": 10000,
"invoiceDisplayName": "API calls"
}
],
"fixedCharges": [
{
"addOnCode": "seats",
"units": "10",
"properties": {
"amount": "5"
},
"invoiceDisplayName": "Seats"
}
]
}
}
],
"coupons": [
{
"id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"localId": "b5c1e2a4-4e1e-4a7f-9f0e-9c1a0c7e1f2b",
"type": "coupon",
"payload": {
"code": "welcome_offer",
"type": "fixed_amount",
"amountCents": 10000,
"currency": "USD",
"percentageRate": 10.5,
"frequency": "once",
"frequencyDuration": 3
},
"overrides": {
"amountCents": 15000,
"amountCurrency": "USD",
"percentageRate": 15,
"frequency": "recurring",
"frequencyDuration": 6
}
}
],
"walletCredits": [
{
"localId": "b5c1e2a4-4e1e-4a7f-9f0e-9c1a0c7e1f2b",
"type": "wallet_credit",
"payload": {
"paidCredits": "100.0",
"grantedCredits": "20.0",
"rateAmount": "1.0",
"currency": "USD",
"expirationAt": "2027-01-01T00:00:00Z",
"appliesTo": {
"feeTypes": [
"charge"
],
"billableMetricCodes": [
"api_calls"
]
},
"recurringTransactionRules": [
{
"trigger": "interval",
"interval": "monthly",
"thresholdCredits": "10.0",
"method": "fixed",
"targetOngoingBalance": "100.0",
"grantsTargetTopUp": false,
"paidCredits": "100.0",
"grantedCredits": "20.0",
"startedAt": "2026-01-01T00:00:00Z",
"expirationAt": "2027-01-01T00:00:00Z",
"transactionName": "Monthly top-up",
"invoiceRequiresSuccessfulPayment": false
}
]
}
}
]
}
}
],
"meta": {
"current_page": 2,
"total_pages": 4,
"total_count": 70,
"next_page": 3,
"prev_page": 1
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 403,
"error": "Forbidden",
"code": "feature_unavailable"
}{
"status": 422,
"error": "Unprocessable entity",
"code": "validation_errors",
"error_details": {}
}LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/orders?per_page=20&page=1&status[]=created" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.orders.find_all({'per_page': 20, 'page': 1, 'status[]': ['created']})
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.orders.get_all({ per_page: 20, page: 1, 'status[]': ['created'] })
await client.orders.findAllOrders({ per_page: 20, page: 1, "status[]": ["created"] });
import (
"context"
"fmt"
lago "github.com/getlago/lago-go-client"
)
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
ctx := context.Background()
page, perPage := 1, 20
orderResult, err := lagoClient.Order().GetList(ctx, &lago.OrderListInput{
Page: &page,
PerPage: &perPage,
Status: []lago.OrderStatus{lago.OrderStatusCreated},
})
if err != nil {
// Error is *lago.Error
panic(err)
}
// orderResult is *lago.OrderResult
fmt.Println(orderResult)
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number.
1
Number of records per page.
20
Filter orders by status. Possible values are created, executed and failed.
created, executed, failed Filter orders by the order type of the quote they come from. Possible values are subscription_creation, subscription_amendment and one_off.
subscription_creation, subscription_amendment, one_off Filter orders by execution mode. Possible values are execute_in_lago and order_only.
execute_in_lago, order_only Filter orders by the Lago identifiers of their customers.
["1a901a90-1a90-1a90-1a90-1a901a901a90"]
Filter orders by their number, as assigned by Lago.
["OR-2026-0001", "OR-2026-0002"]
Filter orders by the number of the order form they come from.
["OF-2026-0001"]
Filter orders by the number of the quote they come from.
["QT-2026-0001"]
Filter orders by the Lago identifiers of the users owning the quote they come from.
["1a901a90-1a90-1a90-1a90-1a901a901a90"]
Search orders by number.
"OR-2026"
Filter orders executed from a specific date and time, in UTC (ISO 8601). Orders that have not been executed are excluded.
"2026-01-01T00:00:00Z"
Filter orders executed up to a specific date and time, in UTC (ISO 8601). Orders that have not been executed are excluded.
"2026-12-31T23:59:59Z"